Get supported Customer Insights filters.
get
/sia/v1/impact/customerInsights/filterDefinitions
Returns filter definitions that the UI can use to render Customer Insights filters.
Request
There are no request parameters for this operation.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Customer insight filter definitions retrieved successfully.
Root Schema : CustomerInsightFilterDefinitionsResponse
Type:
Show Source
object-
filters: array
filters
Supported Customer Insights filters.
Nested Schema : CustomerInsightFilterDefinition
Type:
Show Source
object-
filter: string
Smart Search filter key.
-
label: string
Display label for the filter.
-
multiSelect: boolean
Whether the UI can send multiple values for this filter.
-
scope: string
Filter scope. Possible values are impact and customer.
-
type: string
Filter control type.
401 Response
The request is unauthorized
403 Response
The request is forbidden
500 Response
An Internal Server Error has occurred